Bug 721043 - Review Request: pragha - Lightweight GTK+ music manager
Summary: Review Request: pragha - Lightweight GTK+ music manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 15:13 UTC by Christoph Wickert
Modified: 2011-08-22 14:53 UTC (History)
3 users (show)

Fixed In Version: pragha-0.97.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 09:52:31 UTC
Type: ---
martin.gieseking: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2011-07-13 15:13:49 UTC
Spec URL: http://cwickert.fedorapeople.org/review/pragha.spec
SRPM URL: http://cwickert.fedorapeople.org/review/pragha-0.97.0-1.fc16.src.rpm
Description: Pragha is is a lightweight GTK+ music manager that aims to be fast, bloat-free, and light on memory consumption. It is written completely in C and GTK+. 

Pragha is a fork of Consonance Music Manager, discontinued by the original 
author.

Note: I maintain an older version of this package in rpmfusion. As 0.9x is a port to gstreamer it no longer requires any forbidden items and we can move it over to Fedora.

Comment 1 Martin Gieseking 2011-07-27 08:21:37 UTC
The package is in pretty good shape. Just remove the additional compiler flag -O3 from configure.ac.


$ rpmlint *.rpm
pragha.src: W: invalid-url Source0: http://dissonance.googlecode.com/files/pragha-0.97.0.tar.bz2 HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

The above warning is false positive.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3+ according to source file headers

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum pragha-0.97.0.tar.bz2*
    f3146b9f05305682e9465cbcbcc3fd33  pragha-0.97.0.tar.bz2
    f3146b9f05305682e9465cbcbcc3fd33  pragha-0.97.0.tar.bz2.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=3233138

[.] MUST: If the package does not successfully compile, build or work ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[+] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: .desktop files must be properly installed with desktop-file-install in the %install section. 
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 2 Christoph Wickert 2011-07-30 19:48:54 UTC
Thanks for the review, Martin!

I have patched both configure and configure.ac as I don't want to run autoconf again. Hope this is ok.

SRPM: http://cwickert.fedorapeople.org/review/pragha-0.97.0-2.fc17.src.rpm
SPEC: http://cwickert.fedorapeople.org/review/pragha.spec

Comment 3 Martin Gieseking 2011-07-30 20:23:32 UTC
(In reply to comment #2)
> I have patched both configure and configure.ac as I don't want to run autoconf
> again. Hope this is ok.

Yes, sure. The package looks fine now.

----------------
Package APPROVED
----------------

Comment 4 Christoph Wickert 2011-07-30 20:42:30 UTC
New Package SCM Request
=======================
Package Name: pragha
Short Description: Lightweight GTK+ music manager
Owners: cwickert
Branches: f16
InitialCC:

Comment 5 Gwyn Ciesla 2011-07-31 01:11:22 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-07-31 09:54:51 UTC
pragha-0.97.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pragha-0.97.0-2.fc16

Comment 8 Fedora Update System 2011-08-22 14:53:26 UTC
pragha-0.97.0-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.